%define	name	asp2php
%define	version	20080813
%define	release	%mkrel 1

Summary:	Program for converting .asp files to .php files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://asp2php.naken.cc/
Group:		Development/Other
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
asp2php is a program which can help you convert Micro$oft (tm) Active Server
Pages (tm) to PHP files.

Install this if you intend to migrate from Microsuck, umm, I mean Micro$oft
(tm) Internet Information Server (tm) to PHP.

%package -n gtkasp2php
Summary:	Graphical front-end for asp2php
Group:		Development/Other
License:	GPL
Requires:	asp2php
BuildRequires:	gtk+-devel >= 1.2.0

%description -n gtkasp2php
gtkasp2php is the gtk-based graphical front-end for asp2php.


%prep
%setup -q 

%build
%make CFLAGS="$RPM_OPT_FLAGS"
%make CFLAGS="$RPM_OPT_FLAGS" gui

%install
rm -rf $RPM_BUILD_ROOT
install -dm755 $RPM_BUILD_ROOT%{_bindir}
install -m755 %{name} $RPM_BUILD_ROOT%{_bindir}
install -m755 gtk%{name} $RPM_BUILD_ROOT%{_bindir}

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/GTKasp2php.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=GTKasp2php
Comment=Gtk frontend to asp2php
Exec=gtkasp2php
Icon=%{_datadir}/pixmaps/%{name}.png
Terminal=false
Type=Application
Categories=GNOME;GTK;Development;X-MandrivaLinux-MoreApplications-Development-Tools;
EOF

install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png -resize -32 \
$RPM_BUILD_ROOT%{_iconsdir}/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT


%post -n gtkasp2php
%{update_menus}

%postun -n gtkasp2php
%{clean_menus}


%files
%defattr(-,root,root)
%doc README LICENSE
%{_bindir}/%{name}

%files -n gtkasp2php
%defattr(-,root,root)
%{_bindir}/gtk%{name}
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Feb 09 2010 slick50 <lxgator@gmail.com> 20080813-1pclos2010
- 20080813

* Wed Nov 08 2006 Neverstopdreaming <neverstopdreaming@gmail.com> 0.77.1-2pclos2007
- Build for PCLinuxOS 2007

